2020-06-05 23:59 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003397Quik[All Projects] Generalpublic2019-11-27 22:03
Reporterretrogamer 
Assigned ToCFOUProject InfoQuik (Stywos/Titus)
http://www.whdload.de/games/Quik.html
 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Summary0003397: Keyboard problems on 68000 machines. Quitkey works only if you press it
DescriptionGameVersion: english,pal,2 disks
SlaveVersion: 1.0 from 20.05.2013

Keyboard problems on 68000 machines. Quitkey works only if you press it directly after the whdload splash screen.
TagsNo tags attached.
MachineA600
CPU68000
CPUSpeed7
ChipSetECS
GFXCardNone
ChipMem2 MB
FastMem8 MB
WorkbenchOS 2.05
KickROM37 - Kick 2.0
KickSoftNone
WHDLoad18.2
importedyes
Attached Files

-Relationships
+Relationships

-Notes

note ~0007438

CFOU (developer)

Hi can you test new beta version for ECS /AGA /CD32?

 version 1.3 beta (xx.11.19)
 - trainer enhanced to add flight mode (ECS/AGA/CD32)
    CUSTOM1=x (to select start level (x=1 to 5)
    CUSTOM2=x (to select start stage (x=1 to 5)
    CUSTOM3=1 (to enable original cheat mode)
    CUSTOM3=2 (to enable flight mode)
    => pressing Jump button for ECS/AGA & FIRE button for CD32
 - some other stack & SR register modifications removed (AGA)
 - AGA restriction added for AGA/CD32
 - intro/outro fix (AGA/ECS)
 - Lowlevel.library emulation used instead of library file (CD32)
 - keyboard interruption enable for exitkey support in outro (CD32)
 - SPC key added to retarts after suicide pressing 'X' key (ECS/AGA/CD32)
    (0004162)
 - Missing JUMP and FIRE key added (CD32): 0004162
    LCTRL: to jump
    SPACE: to fire
 - Exitkey for 68000 added (0003397)

To do
 - test with all config (already tested 68000 (ECS) 68030&68040 (ECS/AGA/CD32)
 - try to add optional slave with fast (warning trainer use absolute adresses)

note ~0007447

retrogamer (reporter)

Quitkey works fine now thanks.

note ~0007486

CFOU (developer)

here last beta for test:
added: Skip level/wait button/CD32Pad support for ECS/AGA

to do :
- fix ECS version (level 2 cactus)
- fix instability on 68000-68020 (ECS)

 version 1.2g (26.11.19)
 - trainer enhanced to add flight mode (ECS/AGA/CD32)
    CUSTOM1=x (to select start level (x=1 to 5)
    CUSTOM2=x (to select start stage (x=1 to 5)
    CUSTOM3=1 (to enable original cheat mode)
    CUSTOM3=2 (to enable flight mode)
    => pressing Jump button for ECS/AGA & FIRE button for CD32
 - CD32Pad support (ECS/AGA)
    CUSTOM3=4
 - skip intro possible using CUSTOM3=8
 - some other stack & SR register modifications removed (AGA)
 - AGA restriction added for AGA/CD32
 - intro/outro fix (AGA/ECS)
 - Lowlevel.library removed (not needed)
 - keyboard interruption enable for exitkey support in outro (CD32)
 - SPC key added to retarts after suicide pressing 'X' key (ECS/AGA/CD32)
    (0004162)
 - Missing JUMP and FIRE key added (CD32): 0004162
    LCTRL: to jump
    SPACE: to fire
 - Exitkey for 68000 added (0003397)
 - fix gfx bug in scrolling: Addq.w replaced by Addq.l (CD32)
   (when bitmap base go from $7xxxx to $8xxxx)
 - WaitButton support added (at inter level screens)

note ~0007498

CFOU (developer)

Last edited: 2019-11-26 22:21

View 2 revisions

beta5

Fixe CD32 control (ECS/AGA):
- now you can jump, roll and tell at the same time
- now you can use UP in main menu

note ~0007509

CFOU (developer)

Beta 6
I hope final.

Can you test many option possibilities and all versions before final release?

newfeature:
    CUSTOM3=8 : Enhanced CD32Pad support
        PLay: Pause/Unpause game
        Forward+Reverse: leave current game
 - skip intro using CUSTOM3=16 (ECS/AGA)



V1.2i
 - trainer enhanced to add flight mode (ECS/AGA/CD32)
    CUSTOM1=x (to select start level (x=1 to 5)
    CUSTOM2=x (to select start stage (x=1 to 5)
    CUSTOM3=1 (to enable original cheat mode)
    CUSTOM3=2 (to enable flight mode)
    => pressing Jump button for ECS/AGA & FIRE button for CD32
 - CD32Pad support (ECS/AGA/CD32)
    CUSTOM3=4 : CD32Pad support
        Red Button for FIRE / Blue Button for JUMP
                                     + LCTRL/LALT for JUMP
    CUSTOM3=8 : Enhanced CD32Pad support
        PLay: Pause/Unpause game
        Forward+Reverse: leave current game

 - skip intro using CUSTOM3=16 (ECS/AGA)
 - some other stack & SR register modifications removed (AGA)
 - AGA restriction added for AGA/CD32
 - intro/outro fix (AGA/ECS)
 - Lowlevel.library removed (not needed)
 - keyboard interruption enable for exitkey support in outro (CD32)
 - SPC key added to retarts after suicide pressing 'X' key (ECS/AGA/CD32)
    (0004162)
 - Missing JUMP and FIRE key added (CD32): 0004162
    LCTRL: to jump
    SPACE: to fire
 - Exitkey for 68000 added (0003397)
 - fix gfx bug in scrolling: Addq.w replaced by Addq.l (CD32)
   (when bitmap base go from $7xxxx to $8xxxx)
 - Gfx bug on Quik when it passed behind object fixed (ECS)
 - WaitButton support added (inter level screens)

note ~0007524

CFOU (developer)

fixed with v1.3
+Notes

-Issue History
Date Modified Username Field Change
2016-03-04 18:17 administrator New Issue
2016-03-04 18:17 administrator Status new => assigned
2016-03-04 18:17 administrator Assigned To => CFOU
2019-11-22 21:37 CFOU File Added: Quik-beta2.lha
2019-11-22 21:37 CFOU Note Added: 0007438
2019-11-23 14:45 retrogamer Note Added: 0007447
2019-11-26 14:25 CFOU Note Added: 0007486
2019-11-26 14:26 CFOU File Added: quik-Beta3.lha
2019-11-26 22:20 CFOU File Added: Quik-beta5.lha
2019-11-26 22:20 CFOU Note Added: 0007498
2019-11-26 22:21 CFOU Note Edited: 0007498 View Revisions
2019-11-27 01:24 CFOU File Added: quik-beta6.lha
2019-11-27 01:24 CFOU Note Added: 0007509
2019-11-27 22:03 CFOU Status assigned => closed
2019-11-27 22:03 CFOU Resolution open => fixed
2019-11-27 22:03 CFOU Note Added: 0007524
+Issue History